package com.qmth.cqb.base.service;


import com.qmth.cqb.base.dao.CourseRepo;
import com.qmth.cqb.base.dao.SettingRepo;
import com.qmth.cqb.base.model.Course;
import com.qmth.cqb.base.model.Setting;
import com.qmth.cqb.utils.enums.Switch;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by songyue on 16/12/28.
 */
@Service
public class SettingService {
	
	@Autowired
    SettingRepo settingRepo;
	
    public void initData(){
        if(settingRepo.count() == 0){
            Setting importSetting = new Setting();
            Setting genSetting = new Setting();
            importSetting.setCode("import");
            importSetting.setName("试题入库审核");
            importSetting.setStatus(Switch.ON);
            genSetting.setCode("gen");
            genSetting.setName("试卷组成审核");
            genSetting.setStatus(Switch.ON);
            settingRepo.save(importSetting);
            settingRepo.save(genSetting);
        }
    }
}
