package com.qmth.cqb.paper.dto;


import java.io.Serializable;
import java.util.*;

/**
 * 试卷大题导出dto
 * Created by songyue on 17/3/15.
 */
public class PaperDetailExp implements Serializable,Comparable<PaperDetailExp>{
    private static final long serialVersionUID = -3520871668728091404L;

    private String id;

    private Integer number;//大题序号

    private String cnNum;//中文序号

    private String name;//大题名称

    private Double score;//大题分数

    private Integer unitCount;//大题下的小题数量

    private List<PaperDetailUnitExp> paperDetailUnits;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getCnNum() {
        return cnNum;
    }

    public void setCnNum(String cnNum) {
        this.cnNum = cnNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getUnitCount() {
        return unitCount;
    }

    public void setUnitCount(Integer unitCount) {
        this.unitCount = unitCount;
    }

    public List<PaperDetailUnitExp> getPaperDetailUnits() {
        return paperDetailUnits;
    }

    public void setPaperDetailUnits(List<PaperDetailUnitExp> paperDetailUnits) {
        this.paperDetailUnits = paperDetailUnits;
    }


    @Override
    public int compareTo(PaperDetailExp paperDetailExp) {
        if (paperDetailExp != null) {
            if(this.getNumber() == null)return -1;
            if(paperDetailExp.getNumber() == null)return 1;
            if (this.getNumber() > paperDetailExp.getNumber()) {
                return 1;
            } else if (this.getNumber() < paperDetailExp.getNumber()) {
                return -1;
            }else{
                return 0;
            }
        }
        return -1;
    }
}

