package com.qmth.cqb.paper.dto;

import java.io.Serializable;

import com.qmth.cqb.question.model.Question;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;

/**
 * 试卷小题导出dto Created by songyue on 17/3/15.
 */
public class PaperDetailUnitExp implements Serializable {

    private static final long serialVersionUID = 6507445685386413261L;

    private String id;

    private Integer number;// 小题序号

    private Double score;// 小题分数

    private QuesStructType questionType;// 小题类型

    private Question question;// 关联试题

    private String quesId;// 关联试题Id

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public QuesStructType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuesStructType questionType) {
        this.questionType = questionType;
    }

    public Question getQuestion() {
        return question;
    }

    public void setQuestion(Question question) {
        this.question = question;
    }

    public String getQuesId() {
        return quesId;
    }

    public void setQuesId(String quesId) {
        this.quesId = quesId;
    }
}
