package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.Map;

import org.springframework.data.annotation.Id;

import com.qmth.cqb.utils.enums.ExtractPolicy;

public class ExtractConfig implements Serializable {

    private static final long serialVersionUID = -5234564748332601375L;

    @Id
    private String id;

    private Long examId;

    private String courseCode;

    private ExtractPolicy policy;// 抽卷规则

    private Map params;// 类型参数

    public Long getExamId() {
        return examId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public ExtractPolicy getPolicy() {
        return policy;
    }

    public void setPolicy(ExtractPolicy policy) {
        this.policy = policy;
    }

    public Map getParams() {
        return params;
    }

    public void setParams(Map params) {
        this.params = params;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
